### Hierarchy

- BlockStatement
  - DecoratorBlock

## Index

### Properties

- closeStrip
- hash
- inverse
- inverseStrip
- loc
- openStrip
- params
- path
- program
- type

## Properties

### closeStrip

closeStrip: StripFlags

Inherited from BlockStatement.closeStrip

- Defined in node_modules/@types/handlebars/index.d.ts:254

### hash

hash: Hash

Inherited from BlockStatement.hash

- Defined in node_modules/@types/handlebars/index.d.ts:249

### inverse

inverse: Program

Inherited from BlockStatement.inverse

- Defined in node_modules/@types/handlebars/index.d.ts:251

### inverseStrip

inverseStrip: StripFlags

Inherited from BlockStatement.inverseStrip

- Defined in node_modules/@types/handlebars/index.d.ts:253

### loc

loc: SourceLocation

Inherited from Node.loc

- Defined in node_modules/@types/handlebars/index.d.ts:215

### openStrip

openStrip: StripFlags

Inherited from BlockStatement.openStrip

- Defined in node_modules/@types/handlebars/index.d.ts:252

### params

params: Expression[]

Inherited from BlockStatement.params

- Defined in node_modules/@types/handlebars/index.d.ts:248

### path

path: PathExpression

Inherited from BlockStatement.path

- Defined in node_modules/@types/handlebars/index.d.ts:247

### program

program: Program

Inherited from BlockStatement.program

- Defined in node_modules/@types/handlebars/index.d.ts:250

### type

type: string

Inherited from Node.type

- Defined in node_modules/@types/handlebars/index.d.ts:214

Generated using TypeDoc